Chromium Code Reviews
Help | Chromium Project | Sign in
(33)

Issue 2697123005: Roll src/third_party/skia/ 3befb84ef..e14349a75 (20 commits). (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week ago by skia-deps-roller
Modified:
1 week ago
Reviewers:
bungeman-skia
CC:
chromium-reviews, bungeman-skia
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Roll src/third_party/skia/ 3befb84ef..e14349a75 (20 commits). https://skia.googlesource.com/skia.git/+log/3befb84efc3d..e14349a7545e $ git log 3befb84ef..e14349a75 --date=short --no-merges --format='%ad %ae %s' 2017-02-17 robertphillips Revert "Replace SkSpecialImage::makeTightSubset with asImage" 2017-02-17 mtklein Revert "Take missed opportunity: memset for A8." 2017-02-16 fmalita Fix drawVertices() texture mapping in the presence of a local matrix 2017-02-15 csmartdalton Check for GL_EXT_geometry_shader on ES 2017-02-16 senorblanco GrTessellator (AA): Performance tweaks and cleanup. 2017-02-16 bungeman Revert "GrTessellator (AA): Performance tweaks and cleanup." 2017-02-16 robertphillips Replace SkSpecialImage::makeTightSubset with asImage 2017-02-16 jvanverth Let DFPathRenderer accept smaller paths. 2017-02-16 bungeman Replace use of SkBitmap::eraseRGB with eraseColor. 2017-02-16 ethannicholas Fixed a couple of spots where sksl didn't have proper array support. 2017-02-10 herb Remove third_party/ktx from Skia. 2017-02-16 reed add device-clipping to gpudevice 2017-02-16 senorblanco GrTessellator (AA): Performance tweaks and cleanup. 2017-02-16 reed remove code for TextDecorations 2017-02-16 halcanary SkPDF/font subsetting: Use new version of SfntlyWrapper::SubsetFont 2017-02-16 mtklein SkJumper: everyone gets a start_pipeline(). 2017-02-16 jvanverth Disable DFPathRenderTest for now. 2017-02-16 mtklein Take missed opportunity: memset for A8. 2017-02-16 mtklein SkJumper: fma() -> mad() 2017-02-16 jvanverth Fix DistanceFieldPathRenderer assert. Created with: roll-dep src/third_party/skia BUG=682918, 682918 Documentation for the AutoRoller is here: https://skia.googlesource.com/buildbot/+/master/autoroll/README.md If the roll is causing failures, see: http://www.chromium.org/developers/tree-sheriffs/sheriff-details-chromium#TOC-Failures-due-to-DEPS-rolls CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel TBR=bungeman@google.com

Patch Set 1 #

Messages

Total messages: 11 (5 generated)
skia-deps-roller
1 week ago (2017-02-17 13:34:12 UTC) #1
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2697123005/1
1 week ago (2017-02-17 13:34:27 UTC) #3
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/313286)
1 week ago (2017-02-17 14:49:14 UTC) #5
skia-deps-roller
Commit queue failed; closing this roll.
1 week ago (2017-02-17 14:49:43 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2697123005/1
1 week ago (2017-02-17 15:39:06 UTC) #9
commit-bot: I haz the power
1 week ago (2017-02-17 17:33:52 UTC) #11
Failed to apply patch for DEPS:
While running git apply --index -p1;
  error: patch failed: DEPS:40
  error: DEPS: patch does not apply

Patch:       DEPS
Index: DEPS
diff --git a/DEPS b/DEPS
index
12a8137bc0e0d89c28e4f6231f4ebafe37814cb1..f51b70b01692c79b0b34c48a8ed7e01876150b9d
100644
--- a/DEPS
+++ b/DEPS
@@ -40,7 +40,7 @@ vars = {
   # Three lines of non-changing comments so that
   # the commit queue can handle CLs rolling Skia
   # and whatever else without interference from each other.
-  'skia_revision': '3befb84efc3deba472849d76af96c6f56060b918',
+  'skia_revision': 'e14349a7545e7bd1e93f4c3095db8f481939b053',
   # Three lines of non-changing comments so that
   # the commit queue can handle CLs rolling V8
   # and whatever else without interference from each other.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd